### Hierarchy

- XmlAttributeComponent<IHeaderReferenceAttributes>
  - HeaderReferenceAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new HeaderReferenceAttributes(properties: IHeaderReferenceAttributes): HeaderReferenceAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: IHeaderReferenceAttributes

  #### Returns HeaderReferenceAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: IHeaderReferenceAttributes

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: IHeaderReferenceAttributes): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: IHeaderReferenceAttributes

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/document/body/section-properties/header-reference/header-reference-attributes.ts:15

### id

id: string = "r:id"

- Defined in file/document/body/section-properties/header-reference/header-reference-attributes.ts:17

### type

type: string = "w:type"

- Defined in file/document/body/section-properties/header-reference/header-reference-attributes.ts:16

Generated using TypeDoc